# Configurations

> For the complete machine-readable documentation index, see [llms.txt](https://apidocs.chargebee.com/llms.txt).


This resource returns your domain and product catalog version details - [Product Catalog 1.0](https://www.chargebee.com/docs/1.0/product-catalog.html) (v1) and [Product Catalog 2.0](https://www.chargebee.com/docs/2.0/product-catalog.html) (v2).

## Sample Configuration

```json
{
  "configurations": [
    {
      "domain": "yourapp",
      "object": "configuration",
      "product_catalog_version": "v1"
    },
    {..}
  ]
}
```

## Configurations attributes

## Input Parameters

- `domain` (optional, string, max chars=50)
  The Chargebee [site](https://www.chargebee.com/docs/2.0/sites-intro.html) for which the information has been requested. It is the same as the value of `{"site"}` provided as a path parameter.

- `product_catalog_version` (optional, enumerated string)
  The Product Catalog version of the site
  Possible enum values:
    - `v1`
      Indicates Product Catalog 1.0
    - `v2`
      Indicates Product Catalog 2.0

- `chargebee_response_schema_type` (optional, enumerated string)
  Specifies the API response format based on the product catalog version of the site.
  Possible enum values:
    - `plans_addons`
      The response format follows [product catalog 1.0](https://www.chargebee.com/docs/billing/1.0/product-catalog/product-catalog) , using [plans](/docs/api/v2/pcv-1/plans) and [addons](/docs/api/v2/pcv-1/addons) .
    - `items`
      The response format follows [product catalog 2.0](https://www.chargebee.com/docs/billing/2.0/product-catalog/product-catalog) , using [items](/docs/api/items) .
    - `compat`
      The response supports both Product Catalog 1.0 and 2.0 formats. It is applicable only to sites that have been automatically upgraded to Product Catalog 2.0.

